extends Node

#weather signals
@warning_ignore("unused_signal")
signal toggle_rain(value: bool)
@warning_ignore("unused_signal")
signal toggle_snow(value: bool)
@warning_ignore("unused_signal")
signal toggle_wind(value: bool)
@warning_ignore("unused_signal")
signal toggle_fireflies(value: bool)
@warning_ignore("unused_signal")
signal toggle_storm(value: bool)
@warning_ignore("unused_signal")
signal set_day_time(value: float)
@warning_ignore("unused_signal")
signal toggle_fog_overlay(value: bool)
@warning_ignore("unused_signal")
signal toggle_dust(value: bool)
@warning_ignore("unused_signal")
signal toggle_blur(value: bool)
@warning_ignore("unused_signal")
signal toggle_shadows(value: bool)

#day cycle signals
@warning_ignore("unused_signal")
signal toggle_pause_daytime(value: bool)
@warning_ignore("unused_signal")
signal day_time_changed(value: float, time_string: String)
